im too lazy to upgrade to 1.1.2, my question is if i alredy have a 1.1.1 jailbreaked phone the geohot will work?